> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/groups-management/unlock-payment-group.md).

# UnLock Payment Group

The API unlocks a lock group and allows for additional payments to be processed.

<mark style="color:red;">**`DELETE`**</mark> /payments/groups/{id}/lock

**Body parameters Request**

| id | url path | string | Group ID | Yes |
| -- | -------- | ------ | -------- | --- |

**Body Parameters Response**

| description | description | string  | Extended description of group                             |
| ----------- | ----------- | ------- | --------------------------------------------------------- |
| id          | id          | string  | Unique id of group                                        |
| locked      |             | boolean | When locked, no new actions can be made                   |
| name        | name        | string  | Visual name of group                                      |
| type        |             | string  | entity type (group)                                       |
| user\_tags  |             | object  | A set of K/v pairs of tags set for the group              |
| wallet      | id          | string  | The id of the owning wallet this group is associated with |

**Request Example**

```json
DELETE /payments/groups/b48c3f38-9278-41a3-b101-444f20fce982/lock
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "id": "b48c3f38-9 278-41a3-b101-444f20fce982",
   "type": "group",
   "locked": false,
   "user_tags": {
      "approved_by": "John Doe",
      "cycle": "2024-02"
   },
   "wallet": "f6b2776d-53f4-404e-a690-c3766a91d43a",
   "name": "February USD cycle",
   "description": "An updated description"
}
```

{% endtab %}

{% tab title="404 - Not foun" %}

```json
{
  "error": "Not Found",
  "description": "No message available",
  "error_code": 404,
  "error_info": {
    "timestamp": "2024-03-04T14:18:15.749Z",
    "status": 404,
    "error": "Not Found",
    "message": "No message available",
    "path": "/groups/"
  }
}
```

{% endtab %}
{% endtabs %}
